View Issue Details

IDProjectCategoryView StatusLast Update
0000322Cinelerra-GG[All Projects] MantisBTpublic2019-11-10 00:09
ReporterOlaf Assigned ToSam  
PrioritynoneSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version2019-11 
Summary0000322: MantisBT: Text Formatting Help
DescriptionHi Sam,
for some time now, I've been trying to uncover the secrets of text formatting that MantisBT supports from the user's point of view. Some things work, otherwise not because the formatting depends on the plugins used and only the admin knows which ones are enabled. If you have the time and the desire I would be pleased about a small formatting help. It doesn't have to be complete, it just has to contain the usual (text markup like bold and italic, simple lists, source code blocks, internal links etc.). TIA!
TagsMantisBT, Markdown

Activities

Sam

Sam

2019-11-10 00:09

administrator   ~0002451

@Olaf
I tried the extended editor plugin BBCodePlus. This plugin is not developed by MantisBT developers. Unfortunately this plugin causes too many errors. The editor plugin has made MantisBT unusable. I deleted the plugin again. I also disabled standard markdown processing, it does seem a bit confusing for common users. If the majority of users do want it, I can reactivate it.
Olaf

Olaf

2019-11-05 14:44

reporter   ~0002396

Switch it off because it ruins the usual text formatting. For something like that you need people who are familiar with it and don't just do it in their spare time.
Olaf

Olaf

2019-11-05 14:38

reporter   ~0002395

0000322:0002267:
> I have enabled this option in MantisBT. Enclosed is the link to this topic.
> https://www.mantisbt.org/wiki/doku.php/mantisbt:syntax

DokuWiki supports **bold**, //italic//, __underlined__ and ''monospaced'' texts.
Of course you can **__//''combine''//__** all these.

You can use <sub>subscript</sub> and <sup>superscript</sup>, too.

You can mark something as <del>deleted</del> as well.

This is some text with some linebreaks\\ Note that the
two backslashes are only recognized at the end of a line\\
or followed by\\ a whitespace \\this happens without it.

DokuWiki supports multiple ways of creating links. External links are recognized
automagically: http://www.google.com or simply www.google.com - You can set
Linknames, too: [[http://www.google.com|This Link points to google]]. Email
addresses like this one: <[email protected]> are recognized, too.

Internal links are created by using square brackets. You can either just give
a [[pagename]] or use an additional [[pagename|Title Text]]. Wiki pagenames
are converted to lowercase automatically, special chars are not allowed.

You can add footnotes ((This is a footnote)) by using double parentheses.

==== Headline Level 3 ====
=== Headline Level 4 ===
== Headline Level 5 ==

<code>
  * This is a list
  * The second item
    * You may have different levels
  * Another item

  - The same list but ordered
  - Another item
    - Just use indention for deeper levels
  - That's it
</code>

 * This is a list
  * The second item
    * You may have different levels
  * Another item

  - The same list but ordered
  - Another item
    - Just use indention for deeper levels
  - That's it

^ Heading 1 ^ Heading 2 ^ Heading 3 ^
| Row 1 Col 1 | Row 1 Col 2 | Row 1 Col 3 |
| Row 2 Col 1 | some colspan (note the double pipe) ||
| Row 3 Col 1 | Row 2 Col 2 | Row 2 Col 3 |

# ? (#)
Olaf

Olaf

2019-10-18 12:04

reporter   ~0002303

*Leading zeros at bug number and note can be omitted, this is meant by short.
Olaf

Olaf

2019-10-18 12:01

reporter   ~0002302

- Direct link to bug number: # + BugNumber, example 0000322 or short 0000322
- Direct link to note: ~ + CommentNumber, example 0000322:0002267 or 0000322:0002267
- Quote using > at the beginning of the line, example
> "I'll see if I can install this plugin until tomorrow."

where the quote should be followed by a blank line.
- Unsorted lists using - at the beginning of the line.
Sam

Sam

2019-10-14 11:07

administrator   ~0002269

This option is enabled, but the bug tracker is always causing problems. In the meantime, I found a plugin that significantly enhances the editor. I'll see if I can install this plugin until tomorrow.
Sam

Sam

2019-10-14 11:01

administrator   ~0002268

just a test:
<del>deleted</del>
Sam

Sam

2019-10-14 10:57

administrator   ~0002267

Last edited: 2019-10-14 10:58

View 2 revisions

I have enabled this option in MantisBT. Enclosed is the link to this topic.

https://www.mantisbt.org/wiki/doku.php/mantisbt:syntax

Olaf

Olaf

2019-10-14 10:56

reporter   ~0002266

s/otherwise/others/ ¯\_(?)_/¯

Issue History

Date Modified Username Field Change
2019-10-14 10:46 Olaf New Issue
2019-10-14 10:46 Olaf Tag Attached: Mantis
2019-10-14 10:46 Olaf Tag Attached: Markdown
2019-10-14 10:55 Olaf Tag Detached: Mantis
2019-10-14 10:55 Olaf Tag Attached: MantisBT
2019-10-14 10:56 Olaf Note Added: 0002266
2019-10-14 10:57 Sam Note Added: 0002267
2019-10-14 10:58 Sam Note Edited: 0002267 View Revisions
2019-10-14 11:01 Sam Note Added: 0002268
2019-10-14 11:07 Sam Note Added: 0002269
2019-10-18 12:01 Olaf Note Added: 0002302
2019-10-18 12:04 Olaf Note Added: 0002303
2019-11-05 14:38 Olaf Note Added: 0002395
2019-11-05 14:44 Olaf Note Added: 0002396
2019-11-10 00:08 Sam Assigned To => Sam
2019-11-10 00:08 Sam Status new => assigned
2019-11-10 00:09 Sam Status assigned => resolved
2019-11-10 00:09 Sam Resolution open => fixed
2019-11-10 00:09 Sam Fixed in Version => 2019-11
2019-11-10 00:09 Sam Note Added: 0002451